sailpoint.object

## Interface PersistenceOptions

    public interface PersistenceOptions

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clearModifiableClasses()`
`void` `clearUnModifiableClasses()`
`boolean` `isAllowImmutableModifications()`
`boolean` `isExplicitSaveMode()`
`boolean` `isOptimizeDirtyActive()`
`void` `setAllowImmutableModifications(boolean b)`
`void` `setExplicitSaveMode(boolean b)`
`void` `setModifiableClasses(java.lang.Class<?>... value)`
`void` `setModifiableClasses(java.util.List<java.lang.Class<?>> value)`
`void` `setOptimizeDirtyClasses(boolean val)`
`void` `setUnModifiableClasses(java.lang.Class<?>... value)`
`void` `setUnModifiableClasses(java.util.List<java.lang.Class<?>> value)`
`boolean` `shouldDirtyCheck(java.lang.Object entity)`

### Method Detail

#### setExplicitSaveMode

    void setExplicitSaveMode(boolean b)

#### isExplicitSaveMode

    boolean isExplicitSaveMode()

#### setAllowImmutableModifications

    void setAllowImmutableModifications(boolean b)

#### isAllowImmutableModifications

    boolean isAllowImmutableModifications()

#### setOptimizeDirtyClasses

    void setOptimizeDirtyClasses(boolean val)

#### isOptimizeDirtyActive

    boolean isOptimizeDirtyActive()

#### shouldDirtyCheck

    boolean shouldDirtyCheck(java.lang.Object entity)

#### setModifiableClasses

    void setModifiableClasses(java.util.List<java.lang.Class<?>> value)

#### setModifiableClasses

    void setModifiableClasses(java.lang.Class<?>... value)

#### setUnModifiableClasses

    void setUnModifiableClasses(java.util.List<java.lang.Class<?>> value)

#### setUnModifiableClasses

    void setUnModifiableClasses(java.lang.Class<?>... value)

#### clearModifiableClasses

    void clearModifiableClasses()

#### clearUnModifiableClasses

    void clearUnModifiableClasses()